Bug 16058 - Add a button to delete an individual news item
Summary: Add a button to delete an individual news item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16372 19041
  Show dependency treegraph
 
Reported: 2016-03-13 22:26 UTC by Aleisha Amohia
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16058: Delete individual news item from koha-news.pl (4.82 KB, patch)
2016-03-29 02:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16058: Delete individual news item from koha-news.pl (4.95 KB, patch)
2016-03-29 10:14 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16058: Delete individual news item from koha-news.pl (4.95 KB, patch)
2016-03-31 04:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16058: Delete individual news item from koha-news.pl (5.18 KB, patch)
2016-03-31 06:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-13 22:26:19 UTC
At the moment, you can delete by checking an item and clicking 'Delete selected', but if you only want to delete one item then this adds an extra click and having a singular 'Delete' button would be good.
Comment 1 Aleisha Amohia 2016-03-13 23:11:06 UTC
Would be good to then style the buttons as font-awesome buttons
Comment 2 Aleisha Amohia 2016-03-29 02:37:08 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-03-29 10:14:26 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-03-30 15:04:03 UTC
Any ideas why the buttons are stuck together?
Comment 5 Aleisha Amohia 2016-03-31 04:48:20 UTC
(In reply to Jonathan Druart from comment #4)
> Any ideas why the buttons are stuck together?

There's simply no space between the links :) will submit a new patch
Comment 6 Aleisha Amohia 2016-03-31 04:49:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-03-31 06:54:09 UTC
Created attachment 49725 [details] [review]
Bug 16058: Delete individual news item from koha-news.pl

This patch adds a confirm message for deleting a news item from the home page in the staff client. It also gives the ability to delete an individual news item from koha-news.pl with a confirm message. The buttons on koha-news.pl are now styled as font awesome buttons.

To test:
1) Go to main intranet page. Click 'Delete' for a news item.
2) Confirm that Cancel stops the Delete, and OK deletes the item and takes you to tools/koha-news.pl
3) Confirm that the buttons (Edit and Delete) on koha-news.pl are now styled as font awesome buttons and the buttons don't wrap on a narrow browser.
4) Confirm that the column heading for the buttons is now "Actions".
5) Confirm that clicking Delete triggers a confirm message. Confirm that Cancel stops the Delete, and OK deletes the item and it no longer shows in the News table or anywhere else.

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended-patch: just split the td on several lines for readability.
Comment 8 Brendan Gallagher 2016-03-31 20:09:44 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!